#!/usr/bin/env bash

set -o errexit
set -o nounset
set -o pipefail

JAVA="java -cp pa3-tests/chocopy-ref.jar:target/assignment.jar chocopy.ChocoPy"

echo "# CORE TESTS"
${JAVA} --pass=..s --test --run --dir pa3-tests/core

echo
echo "# BENCHMARK CORRECTNESS TESTS"
${JAVA} --pass=..s --test --run --dir pa3-tests/benchmarks

echo
echo "# BENCHMARK PERFORMANCE TESTS"
${JAVA} --pass=..s --run --profile --dir pa3-tests/benchmarks | grep -e Reading -e Cycles
